package net.northking.cctp.executePlan.dto.execplanTag;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

@JsonSerialize
@ApiModel(description = "执行计划标签关系表")
public class AtuExexplanTagDto implements Serializable {
    /**
     * 脚本ID<br>
     */
    @ApiModelProperty("执行计划ID")
    @Size(max = 32, message="执行计划ID-execplanId: 数据长度不能 > 32" )
    private String execplanId;
    /**
     * 标签ID列表<br>
     */
    @ApiModelProperty("标签ID列表")
    private List<TagInfoDto> tagIdList;

    public String getExecplanId() {
        return execplanId;
    }

    public void setExecplanId(String execplanId) {
        this.execplanId = execplanId;
    }

    public List<TagInfoDto> getTagIdList() {
        return tagIdList;
    }

    public void setTagIdList(List<TagInfoDto> tagIdList) {
        this.tagIdList = tagIdList;
    }
}
